Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic.core
Class BasicXListUI.ListSelectionHandler

    java.lang.Object
      org.jdesktop.swingx.plaf.basic.core.BasicXListUI.ListSelectionHandler

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.ListSelectionListener

Enclosing class:
  BasicXListUI

    public class BasicXListUI.ListSelectionHandler

extends java.lang.Object
implements javax.swing.event.ListSelectionListener

The ListSelectionListener that's added to the JLists selection model at installUI time, and whenever the JList.selectionModel property changes. When the selection changes we repaint the affected rows.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `BasicXListUI.createListSelectionListener()`, `BasicXListUI.getCellBounds(javax.swing.JList, int, int)`, `BasicXListUI.installUI(javax.swing.JComponent)`

Constructor Summary
`BasicXListUI.ListSelectionHandler()`

Method Summary
`void` | `valueChanged(javax.swing.event.ListSelectionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicXListUI.ListSelectionHandler

    public BasicXListUI.ListSelectionHandler()

Method Detail

### valueChanged

    public void valueChanged(javax.swing.event.ListSelectionEvent e)

  Specified by:
    `valueChanged` in interface `javax.swing.event.ListSelectionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.